import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-30 14:44
 */
export interface MsCoreMonitorLog {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * name
    * @type { string }
    */
    name?: string;
    /**
    * 监控地址
    * @type { string }
    */
    healthCheckUrl?: string;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * next_check_time
    * @type { Date }
    */
    nextCheckTime?: Date;
    /**
    * last_check_result
    * @type { string }
    */
    lastCheckResult?: string;
    /**
    * failure_count
    * @type { number }
    */
    failureCount?: number;
    /**
    * redeploy_count
    * @type { number }
    */
    redeployCount?: number;
    /**
    * redeploy_time
    * @type { Date }
    */
    redeployTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MsCoreMonitorLogMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get HEALTH_CHECK_URL(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get NEXT_CHECK_TIME(): FieldInfo;
    static get LAST_CHECK_RESULT(): FieldInfo;
    static get FAILURE_COUNT(): FieldInfo;
    static get REDEPLOY_COUNT(): FieldInfo;
    static get REDEPLOY_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
